DH_FIXPERMS(1)

NOM
dh_fixperms - Ajuster les droits sur les fichiers du répertoire de construction du paquet

SYNOPSIS
dh_fixperms [options_de_debhelper] [-Xélément]

DESCRIPTION
dh_fixperms est un programme de la suite debhelper chargé de configurer correctement (c'est-à-dire conformément à la Charte Debian) les droits sur les fichiers et les sous-répertoires du répertoire de construction du paquet.

dh_fixperms règle à 644 les droits sur tous les fichiers de usr/share/doc à l'exclusion de ceux contenus dans le répertoire examples/. Il règle également à 644 les droits de toutes les pages de manuel. Il donne la propriété de tous les fichiers au superutilisateur (root), et enlève l'autorisation d'écrire au groupe et aux autres utilisateurs sur tous les fichiers. Il retire le droit d'exécution sur toutes les bibliothèques, en-tête (header), modules Perl ou fichiers desktop. Il rend exécutables tous les fichiers de bin/, sbin/, /usr/games/ et etc/init.d (à partir de la version 4 seulement). Pour finir il annule les bits setuid et setgid de tous les fichiers du paquet.

OPTIONS

-Xélément, --exclude élément
    Permet d'exclure de la modification des droits les fichiers qui comportent élément n'importe où dans leur nom. Cette option peut être employée plusieurs fois afin d'exclure une liste d'éléments.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».